function y=impGauss(y0,f,Df,T,Nh,nNewton)

%calculate the methods coefficients
c=GaussKnoten(1);
[A,b] = collCoeffs(c);

%stepsize
h=T/Nh;

%initial value
y=y0;

%loop over number of iterations
for ii=1:Nh
    
    %rephrase the Gauss method as a root finding problem
    F=@(x) x-[f(y+h*A(1,:)*x);f(y+h*A(2,:)*x)];
    DF=@(x) eye(length(c))-h*[A(1,:)*Df(y+h*A(1,:)*x);...
        A(2,:)*Df(y+h*A(2,:)*x)];
    k0=[y;y];
    
    %Solve the implicit system with "nNewton" iterations of Newton's method
    k=newton(k0,F,DF,nNewton);
    
    %Find the solution y at the new point
    y=y+h*b'*k;
    
end